%The 17th Seminar on Differential Equations and Dynamical Systems, 6-8 November 2024, University of Mazandaran, Babolsar, Iran.

\newif\if@english
\@englishtrue
\DeclareOption{Persian}{
	\@englishfalse
}
\ProcessOptions\relax

\if@english
\LoadClass[a4paper,11pt,twoside]{amsproc}%
\else
\LoadClass[a4paper,11pt,twoside]{amsart}%
\fi
\usepackage{tikz}
\usepackage{array}
\usepackage{booktabs}
\RequirePackage{graphicx} %
\RequirePackage[all]{xy} %
\RequirePackage{amsmath,amssymb,amsthm,amsfonts,amscd,mathtools,cite,subfig}
\RequirePackage{euscript}%
\RequirePackage{epsfig} %
\RequirePackage{fancyhdr} %
\RequirePackage{color,xcolor}%
\definecolor{Blue}{rgb}{0,0,1}
\definecolor{Red}{rgb}{1,0,0}
\RequirePackage{ifxetex}%
\RequirePackage[nomarginpar,left=25.4mm,bottom=25.4mm,top=25.4mm,right=25.4mm,
headsep=10mm,footskip=10mm,includehead=true,includefoot=true]{geometry}
\RequirePackage{eso-pic}%
\RequirePackage{epstopdf}
\RequirePackage{float}
%\RequirePackage{TikZ}
\evensidemargin=0.5\evensidemargin \addtolength{\evensidemargin}{0.5\oddsidemargin}
\oddsidemargin=\evensidemargin
\ifxetex
\usepackage[xetex,bookmarksnumbered,plainpages,colorlinks,linkcolor=blue,citecolor=magenta,anchorcolor=red
,pdfpagetransition={Wipe}]{hyperref}
\hypersetup{pdftitle={conf1401umz}}

\else
\usepackage[bookmarksnumbered,plainpages,colorlinks,linkcolor=blue,citecolor=magenta,anchorcolor=red
,pdfpagetransition={Wipe}]{hyperref}
\hypersetup{pdftitle={conf1401umz}}%
\fi

\makeatletter
\def\section{\@startsection{section}{1}%
	\z@{.7\linespacing\@plus\linespacing}{.5\linespacing}%
	{\Large\bfseries\hspace*{0pt}}}
\makeatother

\makeatletter
\def\subsection{\@startsection{subsection}{1}%
	\z@{.7\linespacing\@plus\linespacing}{.5\linespacing}%
	{\Large\bfseries\hspace*{0pt}}}
\makeatother

\newcommand{\KeyWords}[1]{
	\if@english
	\else
	{\small
		
		\par\noindent\textbf{واژه‌های کلیدی:} #1.\par
		
		\ignorespaces
	}
	\fi
}%

\newcommand{\Subject}[1]{
	\if@english
	\else
	\small	
	
	\par\noindent\textbf{طبقه‌بندی موضوعی [2010]:}
	\lr{#1}.%				
	\fi
}%

%
\fancypagestyle{body}{
	\fancyhead{} \fancyhead[CO]{\shorttitle} \fancyhead[CE]{\shortauthors}
	\cfoot{$\thepage$}
}
\pagestyle{body}
\if@english


\else %%at Persian

\fi

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\newenvironment{alphafootnotes}
{\par\edef\savedfootnotenumber{\number\value{footnote}}
	\renewcommand{\thefootnote}{\fnsymbol{footnote}}
	\setcounter{footnote}{0}}
{\par\setcounter{footnote}{\savedfootnotenumber}}

\graphicspath{{images/}}

\allowdisplaybreaks

%
\fancyhead{}
\fancyhead[LE,RO]{}
\fancyfoot[C]{\thepage}
\renewcommand{\headrulewidth}{0.4pt}
\thispagestyle{plain}

\makeatletter
\def\author@andify{%
  \nxandlist {\unskip ,\penalty-1 \space\ignorespaces}%
    {\unskip ,~}%
    {\unskip \penalty-2 ,~}%
}
\makeatother
\definecolor{bidihlcolor}{rgb}{1,1,0}
\renewcommand{\headrulewidth}{0pt}
\fancypagestyle{firstpage}{%
	\fancyhead{}
\renewcommand{\headrulewidth}{0pt}
	%\fancyhead[]{\includegraphics[width=800pt]{logo}}
	\fancyhead[]{\begin{tikzpicture}[remember picture,overlay]
    \node[anchor=north west,yshift=4pt,xshift=-4pt]%
        at (current page.north west)
        {\includegraphics[width=21cm]{head}};
    \end{tikzpicture}}
	%\fancyfoot[C]{\includegraphics[width=500pt]{foot}}
		%\fancyfoot[]{\begin{tikzpicture}[remember picture,overlay]
    %\node[anchor=south west,yshift=-4pt,xshift=-4pt]%
      %  at (current page.south west)
       % {\includegraphics[width=21cm]{foot}};
   % \end{tikzpicture}}
	\fancyfoot[C]{\thepage}
}

\renewcommand{\headrulewidth}{1pt}
